#!/bin/bash
# Submission script for Bowman
#SBATCH --job-name=plate_UQ
#SBATCH --time=41:00:00 # hh:mm:ss
#
#SBATCH -N 1
#SBATCH -p knl-delta
#
#SBATCH --comment=test
#SBATCH --output=workspace/plate_UQ.%j.out

. ~/.bash_profile $SLURM_SUBMIT_HOST

export MKL_DYNAMIC=TRUE
export OMP_DYNAMIC=FALSE
export OMP_NUM_THREADS=256

export KMP_HW_SUBSET=64c,4t
export KMP_AFFINITY=balanced

python run.py -k ${OMP_NUM_THREADS} katoptron/CMAME/tests/plate_MC.py
