#!/usr/bin/env python3
# -*- coding: utf-8; -*-






from katoptron.eigenvalues import *
from katoptron.readers import *
import os
import fwk


def main():
    import matplotlib.pyplot as plt

    file_dir = os.path.dirname(__file__)
    work_dir = os.getcwd()

    display = False

    input_file_dir = '/Users/kimliegeois/Desktop/katoptron_CMAME_tests_plate_vd_GS_3_3/1/'

    for i in range(0, 8):
        filename_Q = input_file_dir + str(i) + '/A_mm_after_bc.txt'
        filename_GT = input_file_dir + str(i) + '/B_mm.txt'

        Q = read_mm(filename_Q)
        #Q = get_symmetrical_part(Q)
        GT = read_mm(filename_GT)

        norm_Q = sparse_matrix_2_norm(Q)
        norm_GT = sparse_matrix_2_norm(GT)

        print((norm_Q / norm_GT))


if __name__ == "__main__":
    main()
