
from scipy.stats import lognorm
import numpy as np


def lognormal(points, means, sigmas):
    randomVariable = np.zeros(points.shape)
    for i in range(0, points.shape[0]):
        randomVariable[i, :] = lognorm.ppf(points[i, :],
                                           sigmas[i],
                                           scale=np.exp(means[i]))
    return randomVariable
